<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Get Method (DatabaseEntry, DatabaseEntry)
BaseDatabase Class See Also Send Feedback

Retrieve a key/data pair from the database. In the presence of duplicate key values, Get will return the first data item for key. If the data is a partial DatabaseEntry, PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprise the entire record. If any or all of the specified bytes do not exist in the record, Get is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public KeyValuePair<DatabaseEntry, DatabaseEntry> Get(
    	DatabaseEntry key,
    	DatabaseEntry data
    )

Visual Basic (Declaration)

    Public Function Get ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry _
    ) As KeyValuePair(Of DatabaseEntry, DatabaseEntry)

Visual C++

    public:
    KeyValuePair<DatabaseEntry^, DatabaseEntry^> Get(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for

data
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved data

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is key and whose Value parameter is the partially retrieved bytes in the data.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key is not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

BaseDatabase Class
Get Overload
BerkeleyDB Namespace